6.0.0-git
2019-03-18

[#7771] Notices on empty continuation line
Summary Notices on empty continuation line
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2008-12-11 (3749 days ago)
Due
Updated 2010-01-12 (3352 days ago)
Assigned 2008-12-11 (3749 days ago)
Resolved 2008-12-11 (3749 days ago)
Milestone
Patch No

History
2008-12-11 19:28:39 Michael Slusarz Comment #4
State ⇒ Resolved
Reply to this comment
Looks like you had previews on.  And considering that neither the UID 
nor the mailbox value passed into IMP_Contents was valid, that was the 
issue.  So it is fixed now.
2008-12-11 17:34:35 Jan Schneider Comment #3
State ⇒ Assigned
Reply to this comment
The other errors were most likely a result of this issue.
Unfortunately not.
2008-12-11 17:09:33 Michael Slusarz Comment #2
State ⇒ Resolved
Reply to this comment
Notice: Uninitialized string offset: 0 in
/home/jan/horde-git/framework/Imap_Client/lib/Horde/Imap/Client/Socket.php
on line 3273
Fixed.
Notice: Use of undefined constant IMP_IDX_SEP - assumed 'IMP_IDX_SEP'
in /srv/www/htdocs/headhorde/imp/lib/Mailbox.php on line 199
Also fixed.  The other errors were most likely a result of this issue.
2008-12-11 12:43:13 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Notices on empty continuation line
Queue ⇒ Horde Framework Packages
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
With the following IMAP talk:



IMAP Response: * OK [CAPABILITY IMAP4 IMAP4rev1 LITERAL+ ID STARTTLS 
AUTH=PLAIN SASL-IR] neo Cyrus IMAP4 v2.3.11 server ready

IMAP Request: 1 AUTHENTICATE PLAIN

IMAP Response: +



I get the following notice:



Notice: Uninitialized string offset: 0 in 
/home/jan/horde-git/framework/Imap_Client/lib/Horde/Imap/Client/Socket.php on 
line 3273



This is the backtrace:



1        0,0059        459804        {main}( )        ../mailbox.php:0

2        0,0068        520776        require_once( 
'/srv/www/htdocs/headhorde/imp/lib/base.php' )        ../mailbox.php:34

3        0,1999        8484496        IMP::checkAuthentication( FALSE, FALSE )        ../base.php:153

4        0,2011        8509288        Auth_imp->authenticate( NULL, array (), FALSE )        ../IMP.php:87

5        0,2011        8509288        Auth->authenticate( NULL, array (), FALSE, ??? 
)        ../imp.php:34

6        0,2011        8510184        Auth_imp->_authenticate( '', array () )        ../Auth.php:158

7        0,2012        8510184        Horde_Imap_Client_Base->login( )        ../imp.php:61

8        0,2012        8510184        Horde_Imap_Client_Socket->_login( )        ../Base.php:402

9        0,2040        8520316        Horde_Imap_Client_Socket->_tryLogin( 'PLAIN' 
)        ../Socket.php:348

10        0,2041        8520368        Horde_Imap_Client_Socket->_sendLine( 'AUTHENTICATE 
PLAIN', ??? )        ../Socket.php:527

11        0,2042        8520592        Horde_Imap_Client_Socket->_parseResponse( 1 
)        ../Socket.php:2988

12        0,2043        8520940        Horde_Imap_Client_Socket->_parseServerResponse( 
array ('line' => '', 'response' => '', 'tag' => '', 'token' => '', 
'type' => 'continuation') )        ../Socket.php:3256



Not sure if these are follow-up errors, but then I get (when loading 
the mailbox):



Notice: Use of undefined constant IMP_IDX_SEP - assumed 'IMP_IDX_SEP' 
in /srv/www/htdocs/headhorde/imp/lib/Mailbox.php on line 199

Notice: Undefined variable: uid in 
/srv/www/htdocs/headhorde/imp/lib/Mailbox.php on line 199

Notice: Undefined variable: mailbox in 
/srv/www/htdocs/headhorde/imp/lib/Mailbox.php on line 199

Notice: Undefined offset: 1 in 
/srv/www/htdocs/headhorde/imp/lib/Contents.php on line 112

Fatal error: Call to a member function contentTypeMap() on a 
non-object in /srv/www/htdocs/headhorde/imp/lib/Contents.php on line 745

Saved Queries